
From: Jiri Slaby <jirislaby@gmail.com>

Signed-off-by: Jiri Slaby <xslaby@fi.muni.cz>
Cc: Greg KH <greg@kroah.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/frv/mb93090-mb00/pci-frv.c |    8 ++------
 1 files changed, 2 insertions(+), 6 deletions(-)

diff -puN arch/frv/mb93090-mb00/pci-frv.c~arch-pci_find_device-remove-frv-mb93090-mb00-pci-frvc arch/frv/mb93090-mb00/pci-frv.c
--- 25/arch/frv/mb93090-mb00/pci-frv.c~arch-pci_find_device-remove-frv-mb93090-mb00-pci-frvc	Thu Sep  1 14:33:49 2005
+++ 25-akpm/arch/frv/mb93090-mb00/pci-frv.c	Thu Sep  1 14:33:50 2005
@@ -142,9 +142,7 @@ static void __init pcibios_allocate_reso
 	u16 command;
 	struct resource *r, *pr;
 
-	while (dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev),
-	       dev != NULL
-	       ) {
+	for_each_pci_dev(dev) {
 		pci_read_config_word(dev, PCI_COMMAND, &command);
 		for(idx = 0; idx < 6; idx++) {
 			r = &dev->resource[idx];
@@ -188,9 +186,7 @@ static void __init pcibios_assign_resour
 	int idx;
 	struct resource *r;
 
-	while (dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev),
-	       dev != NULL
-	       ) {
+	for_each_pci_dev(dev) {
 		int class = dev->class >> 8;
 
 		/* Don't touch classless devices and host bridges */
_
